Get List
Queries for the external tasks that fulfill given parameters. Parameters may be static as well as dynamic runtime properties of executions. The size of the result set can be retrieved by using the Get External Task Count method.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter by an external task's id.
Filter by the comma-separated list of external task ids.
Filter by an external task topic.
Filter by the id of the worker that the task was most recently locked by.
Only include external tasks that are currently locked (i.e., they have a lock time and it has not expired).
Value may only be true, as false matches any external task.
Only include external tasks that are currently not locked (i.e., they have no lock or it has expired).
Value may only be true, as false matches any external task.
Only include external tasks that have a positive (> 0) number of retries (or null). Value may only be
true, as false matches any external task.
Only include external tasks that have 0 retries. Value may only be true, as false matches any
external task.
Filter by the id of the activity that an external task is created for.
Filter by the comma-separated list of ids of the activities that an external task is created for.
Filter by the id of the execution that an external task belongs to.
Filter by the id of the process instance that an external task belongs to.
Filter by a comma-separated list of process instance ids that an external task may belong to.
Filter by the id of the process definition that an external task belongs to.
Filter by a comma-separated list of tenant ids. An external task must have one of the given tenant ids.
Only include active tasks. Value may only be true, as false matches any external task.
Only include suspended tasks. Value may only be true, as false matches any external task.
Only include jobs with a priority higher than or equal to the given value.
Value must be a valid long value.
Only include jobs with a priority lower than or equal to the given value.
Value must be a valid long value.
Restrict to tasks that belong to a process definition with the given key.
Restrict to tasks that belong to a process definition with one of the given keys. The keys need to be in a comma-separated list.
Restrict to tasks that belong to a process definition with the given name.
Restrict to tasks that have a process definition name that has the parameter value as a substring.
Match all variable names in this query case-insensitively. If set
variableName and variablename are treated as equal.
Match all variable values in this query case-insensitively. If set
variableValue and variablevalue are treated as equal.
Only include tasks that belong to process instances that have variables with certain values. Variable filtering expressions are comma-separated and are structured as follows:
A valid parameter value has the form key_operator_value. key is the variable name,
operator is the comparison operator to be used and value the variable value.
Note: Values are always treated as String objects on server side.
Valid operator values are:
eq - equal to;
neq - not equal to;
gt - greater than;
gteq - greater than or equal to;
lt - lower than;
lteq - lower than or equal to;
like;
notLike.
key and value may not contain underscore or comma characters.
Sort the results lexicographically by a given criterion. Must be used in conjunction with the sortOrder parameter.
id, lockExpirationTime, processInstanceId, processDefinitionId, processDefinitionKey, taskPriority, tenantId Sort the results in a given order. Values may be asc for ascending order or desc for descending order. Must be used in conjunction with the sortBy parameter.
asc, desc Pagination of results. Specifies the index of the first result to return.
Pagination of results. Specifies the maximum number of results to return. Will return less results if there are no more results left.
Response
Request successful.
The id of the activity that this external task belongs to.
The id of the activity instance that the external task belongs to.
The full error message submitted with the latest reported failure executing this task; null if no
failure was reported previously or if no error message was submitted
The id of the execution that the external task belongs to.
The id of the external task.
The date that the task's most recent lock expires or has expired.
The id of the process definition the external task is defined in.
The key of the process definition the external task is defined in.
The version tag of the process definition the external task is defined in.
The id of the process instance the external task belongs to.
The id of the tenant the external task belongs to.
The number of retries the task currently has left.
A flag indicating whether the external task is suspended or not.
The id of the worker that posesses or posessed the most recent lock.
The topic name of the external task.
The priority of the external task.
The business key of the process instance the external task belongs to.
The date that the task was created.